package com.fs.fastGpt.mapper;


import com.fs.fastGpt.domain.FastGptCollection;

import java.util.List;

/**
 * 集合Mapper接口
 * 
 * @author fs
 * @date 2024-09-30
 */
public interface FastGptCollectionMapper 
{
    /**
     * 查询集合
     * 
     * @param collectionId 集合主键
     * @return 集合
     */
    public FastGptCollection selectFastGptCollectionByCollectionId(String collectionId);

    /**
     * 查询集合列表
     * 
     * @param fastGptCollection 集合
     * @return 集合集合
     */
    public List<FastGptCollection> selectFastGptCollectionList(FastGptCollection fastGptCollection);

    /**
     * 新增集合
     * 
     * @param fastGptCollection 集合
     * @return 结果
     */
    public int insertFastGptCollection(FastGptCollection fastGptCollection);
    public int insertOrUpdateFastGptCollection(FastGptCollection fastGptCollection);

    /**
     * 修改集合
     * 
     * @param fastGptCollection 集合
     * @return 结果
     */
    public int updateFastGptCollection(FastGptCollection fastGptCollection);

    /**
     * 删除集合
     * 
     * @param collectionId 集合主键
     * @return 结果
     */
    public int deleteFastGptCollectionByCollectionId(String collectionId);

    /**
     * 批量删除集合
     * 
     * @param collectionIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastGptCollectionByCollectionIds(String[] collectionIds);
}
